﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 (1 yr) DANL VER VISA
INSTRUMENT:            Sub Tek MDO4000 (1 yr) Residual Spurious Resp VER VISA
DATE:                  2018-03-16 12:26:55
AUTHOR:                Fluke
REVISION:              $Revision: 23114 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       173
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Connection = "mdo4000_termination"

  1.002  JMPL         DANL                         PSUBI("DANL")
  1.003  JMPL         RESIDUALS                    PSUBI("Residual Spurious")
  1.004  DISP         {Called subprocedure not found!}
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek MDO4000 (1 yr) DANL VER VISA  ==============================

  2.001  LABEL        DANL

  2.002  RSLT         =
  2.003  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (DANL)}
  2.004  TARGET       -p
  2.005  CALL         Sub Tek MDO4000 Check and Display Connection

  2.006  VISA         *CLS;*RST;*OPC?[I!]
  2.007  VISA         ACQUIRE:STATE OFF;STOPAFTER SEQUENCE
  2.008  VISA         HEADER OFF;:CLEARM;:SEL:CH1 OFF
# Configure oscilloscope acquisition system for average mode.
  2.009  VISA         ACQ:MODE AVE;NUMAV 16
  2.010  VISA         SEL:RF_AVE ON;RF_NORM OFF
  2.011  VISA         RF:DETECTIONMETHOD:MODE MANUAL;RF_AVERAGE AVERAGE
  2.012  VISA         RF:UNITS DBM;REFLEVEL -25
# Configure DUT automatic marker system.
  2.013  VISA         MARKER:PEAK:STATE ON;THR -150;EXCUR 0;MAX 1
  2.014  VISA         MARKER:TYPE ABS
  2.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.016  JMPL         END_DANL                     @Abort

  2.017  MATH         @Span = ""
  2.018  MATH         @Start = "50 kHz"; @Stop = "5 MHz"; @Limit = -130
  2.019  CALL         Sub Tek MDO4000 DANL Test VISA
  2.020  JMPL         END_DANL                     @Abort

  2.021  MATH         @Span = "10 MHz"
  2.022  MATH         @Start = "5 MHz";  @Stop = "3 GHz"; @Limit = -148
  2.023  CALL         Sub Tek MDO4000 DANL Test VISA
  2.024  JMPL         END_DANL                     @Abort

  2.025  IF           BASE(@DUT_MaxFreq) > 3E+9
  2.026  MATH         @Start = "3 GHz";  @Stop = "4 GHz"; @Limit = -140
  2.027  CALL         Sub Tek MDO4000 DANL Test VISA
  2.028  JMPL         END_DANL                     @Abort

  2.029  MATH         @Start = "4 GHz";  @Stop = "6 GHz"; @Limit = -140
  2.030  CALL         Sub Tek MDO4000 DANL Test VISA
  2.031  ENDIF

  2.032  LABEL        END_DANL
  2.033  HEAD         -2
  2.034  MATH         DEL("@Start"); DEL("@Stop"); DEL("@Span"); DEL("@Limit")
  2.035  HEAD
  2.036  END

# =====  Sub Tek MDO4000 (1 yr) Residual Spurious Resp VER VISA  ============

  2.037  LABEL        RESIDUALS

  2.038  RSLT         =
  2.039  HEAD         {RESIDUAL SPURIOUS RESPONSE}
  2.040  CALL         Sub Tek MDO4000 Check and Display Connection

  2.041  JMPL         RESIDUALS_CONTINUE
  2.042  EVAL   Force connection message on Repeat/Cancel.
  3.001  MATH         @Connected = ""; @Time = ""
  3.002  CALL         Sub Tek MDO4000 Check and Display Connection
  3.003  LABEL        RESIDUALS_CONTINUE

  3.004  VISA         *CLS;*RST;*OPC?[I!]
  3.005  VISA         ACQUIRE:STATE OFF;STOPAFTER SEQUENCE
  3.006  VISA         HEADER OFF;:CLEARM;:SEL:CH1 OFF
# Configure oscilloscope acquisition system for average mode.
  3.007  VISA         ACQ:MODE AVE;NUMAV 16
  3.008  VISA         SEL:RF_AVE ON;RF_NORM OFF
  3.009  VISA         RF:RBW:MOD MAN;:RF:RBW 50E+3
  3.010  VISA         RF:UNITS DBM;REFLEVEL -50
# Configure DUT automatic marker system.
  3.011  VISA         MARKER:PEAK:STATE ON;THR -150;EXCUR 0;MAX 1
  3.012  VISA         MARKER:TYPE ABS
  3.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.014  JMPL         END_RESIDUALS                @Abort

  3.015  HEAD         -2 50 kHz to 3 GHz
  3.016  TSET         TDESC = 50 kHz to 3 GHz
  3.017  VISA         RF:START 50E+3;STOP 3E+9
  3.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.019  JMPL         END_RESIDUALS                @Abort
# Uncertainty is the DUT Level Measurement Uncertainty.
  3.020  ACC          -80.00dBm      1.00U                                 +W
  3.021  TARGET       -m
  3.022  VISA         ACQUIRE:STATE ON
  3.023  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.024  JMPL         END_RESIDUALS                @Abort
# Wait 500 ms for the DUT to locate peak marker amplitude.
  3.025  VISA         [D500]MARKER:REFERENCE:AMPLITUDE?[I]
  3.026  MEMCX        -80.00dBm      -70.00U

  4.001  IF           BASE(@DUT_MaxFreq) > 3E+9
  4.002  HEAD         -2 2.75 GHz to 4.5 GHz
  4.003  TARGET       -p
  4.004  TSET         TDESC = 2.75 GHz to 4.5 GHz
  4.005  VISA         RF:START 2.75E+9;STOP 4.5E+9
  4.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.007  JMPL         END_RESIDUALS                @Abort
  4.008  ACC          -78.00dBm      1.00U                                 +W
  4.009  TARGET       -m
  4.010  VISA         ACQUIRE:STATE ON
  4.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.012  JMPL         END_RESIDUALS                @Abort
  4.013  VISA         [D500]MARKER:REFERENCE:AMPLITUDE?[I]
  4.014  MEMCX        -78.00dBm      -72.00U

  5.001  HEAD         -2 3.5 GHz to 6.0 GHz
  5.002  TARGET       -p
  5.003  TSET         TDESC = 3.5 GHz to 6.0 GHz
  5.004  VISA         RF:START 3.5E+9;STOP 6.0E+9
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END_RESIDUALS                @Abort
  5.007  ACC          -78.00dBm      1.00U                                 +W
  5.008  TARGET       -m
  5.009  VISA         ACQUIRE:STATE ON
  5.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.011  JMPL         END_RESIDUALS                @Abort
  5.012  VISA         [D500]MARKER:REFERENCE:AMPLITUDE?[I]
  5.013  MEMCX        -78.00dBm      -72.00U
  6.001  ENDIF

  6.002  LABEL        END_RESIDUALS
  6.003  HEAD         -2
  6.004  HEAD
  6.005  END
