﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 (1 yr) TOI VER VISA /SWPG,HFSG
DATE:                  2018-02-12 11:50:09
AUTHOR:                Fluke
REVISION:              $Revision: 23043 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       177
CONFIGURATION:         Sweep Generator
CONFIGURATION:         High Freq Signal Generator
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        Hybrid coupler (power combiner), 50 Ω, Connects the output of two
#            generators to the DUT RF input, Krytar 3005070 or equivalent
#        Cable, Type N (m)-(m), 50 Ω, 36", DC to 6 GHz (2 ea.)
#        Cable, BNC (m)-(m), 50 Ω, 36", 10 MHz (2 ea.)
#        Adapter, Type N (m)-(m), DC to 6 GHz
#        Adapter, BNC Tee (m)-(f)-(m), DC to
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  IEEE         [@HFSG]
  1.004  ENDIF

  1.005  CALL         Sub Initialize /HFSG
  1.006  CALL         Sub Reset /HFSG

  1.007  CALL         Sub Initialize /SWPG
  1.008  CALL         Sub Reset /SWPG

  1.009  RSLT         =
  1.010  HEAD         {THIRD ORDER INTERMODULATION DISTORTION}
  1.011  MATH         @Connection = "mdo4000_toi_hfsg_swpg"

  1.012  JMPL         CONTINUE
  1.013  EVAL   Force connection message on Repeat/Cancel.
  2.001  MATH         @Connected = ""; @Time = ""
  2.002  LABEL        CONTINUE

  2.003  CALL         Sub Output Off /HFSG
  2.004  CALL         Sub Output Off /SWPG
  2.005  CALL         Sub Tek MDO4000 Check and Display Connection
  2.006  VISA         *CLS;*RST
  2.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.008  JMPL         END                          @Abort
  2.009  VISA         ACQUIRE:STATE OFF;STOPAFTER SEQUENCE
  2.010  VISA         ROSC:SOURCE EXTERNAL
  2.011  VISA         HEADER OFF;:CLEARM;:SELECT:CH1 OFF
  2.012  VISA         SEL:RF_AVE ON;:SEL:RF_NORM OFF
# Configure oscilloscope acquisition system for average mode.
  2.013  VISA         ACQ:MODE AVE;NUMAV 16
  2.014  VISA         RF:RBW:MOD MAN
  2.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.016  JMPL         END                          @Abort

  2.017  HEAD         -2 Center Frequency: 2.745 GHz
  2.018  TSET         TDESC = 2.745 GHz Center Freq.
  2.019  VISA         RF:FREQ 2.745E+9;SPAN 100E+6;RBW 100E+3
  2.020  VISA         RF:UNITS DBM;SCALE 10;REFLEVEL 0
  2.021  VISA         MARKER:MAN ON;:MARKER:TYP DELT
  2.022  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.023  JMPL         END                          @Abort
  2.024  MATH         @HFSG_Freq = "2.735 GHz"; @HFSG_Ampl = "-2 dBm"
  2.025  MATH         @SWPG_Freq = "2.755 GHz"; @SWPG_Ampl = "-2 dBm"
  2.026  CALL         Sub Apply /HFSG
  2.027  CALL         Sub Apply /SWPG
# Uncertainty is the DUT level measurement uncertainty.
  2.028  ACC          -60.00dBc      1.00U                                 +DW
  2.029  TARGET       -m
  2.030  VISA         ACQUIRE:STATE ON
  2.031  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.032  JMPL         END                          @Abort
# Identify the lower amplitude fundamental and position reference marker on
# it to produce the most conservative measurement result.
  2.033  VISA         MARKER:M1:FREQ:ABS 2.735E+9
  2.034  VISA         MARKER:M2:FREQ:ABS 2.755E+9
  2.035  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.036  JMPL         END                          @Abort
  2.037  VISA         [D500]MARKER:M2:AMPL:DELT?[I]

  2.038  IF           MEM < 0
  2.039  VISA         MARKER:M1:FREQ:ABS 2.755E+9
  2.040  ENDIF

# Measure lower product.
  2.041  VISA         MARKER:M2:FREQ:ABS 2.715E+9
  2.042  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.043  JMPL         END                          @Abort
  2.044  VISA         [D500]MARKER:M2:AMPL:DELT?[I]
  2.045  MATH         Lower = MEM

# Measure upper product.
  2.046  VISA         MARKER:M2:FREQ:ABS 2.775E+9
  2.047  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.048  JMPL         END                          @Abort
  2.049  VISA         [D500]MARKER:M2:AMPL:DELT?[I]
  2.050  MATH         Upper = MEM

  2.051  MATH         MEM = MAX2(Upper, Lower)
  2.052  MEMCX        -60.00dBc      -40.00U

  3.001  IF           BASE(@DUT_MaxFreq) > 3E+9
  3.002  HEAD         -2 Center Frequency: 4.500 GHz
  3.003  TARGET       -p
  3.004  TSET         TDESC = 4.500 GHz Center Freq.
  3.005  VISA         RF:FREQ 4.5E+9
  3.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.007  JMPL         END                          @Abort
  3.008  MATH         @HFSG_Freq = "4.490 GHz"; @HFSG_Ampl = "-2 dBm"
  3.009  MATH         @SWPG_Freq = "4.510 GHz"; @SWPG_Ampl = "-2 dBm"
  3.010  CALL         Sub Apply /HFSG
  3.011  CALL         Sub Apply /SWPG
  3.012  ACC          -60.00dBc      1.00U                                 +DW
  3.013  TARGET       -m
  3.014  VISA         ACQUIRE:STATE ON
  3.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.016  JMPL         END                          @Abort
  3.017  VISA         MARKER:M1:FREQ:ABS 4.490E+9
  3.018  VISA         MARKER:M2:FREQ:ABS 4.510E+9
  3.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.020  JMPL         END                          @Abort
  3.021  VISA         [D500]MARKER:M2:AMPL:DELT?[I]

  3.022  IF           MEM < 0
  3.023  VISA         MARKER:M1:FREQ:ABS 4.510E+9
  3.024  ENDIF

  3.025  VISA         MARKER:M2:FREQ:ABS 4.470E+9
  3.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.027  JMPL         END                          @Abort
  3.028  VISA         [D500]MARKER:M2:AMPL:DELT?[I]
  3.029  MATH         Lower = MEM

  3.030  VISA         MARKER:M2:FREQ:ABS 4.530E+9
  3.031  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.032  JMPL         END                          @Abort
  3.033  VISA         [D500]MARKER:M2:AMPL:DELT?[I]
  3.034  MATH         Upper = MEM

  3.035  MATH         MEM = MAX2(Upper, Lower)
  3.036  MEMCX        -60.00dBc      -40.00U
  4.001  ENDIF

  4.002  LABEL        END
  4.003  HEAD         -2
  4.004  CALL         Sub Reset /HFSG
  4.005  CALL         Sub Reset /SWPG
  4.006  HEAD
  4.007  END
