﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Time Domain VER VISA /9500+4Hd
DATE:                  2018-03-16 15:30:43
AUTHOR:                Fluke
REVISION:              $Revision: 9826 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       163
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4014B, DPO4034B, DPO4054B
#        MSO4014B, MSO4034B, MSO4054B
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.001  CALL         Sub High Voltage Safety Warning

  1.002  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.003  JMPL         END                          @Abort

  1.004  MATH         @MultiHead = 1
  1.005  JMPL         RANDOM_NOISE

  1.006  LABEL        INPUT_IMPEDANCE
  1.007  MATH         @Chan = 1
  1.008  M9500                       CH1
  1.009  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.010  MATH         @Chan = 2
  1.011  M9500                       CH2
  1.012  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.013  MATH         @Chan = 3
  1.014  M9500                       CH3
  1.015  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.016  MATH         @Chan = 4
  1.017  M9500                       CH4
  1.018  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.019  JMPL         DCV_GAIN

  1.020  LABEL        DC_BALANCE
  1.021  MATH         @Chan = 1
  1.022  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.023  MATH         @Chan = 2
  1.024  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.025  MATH         @Chan = 3
  1.026  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.027  MATH         @Chan = 4
  1.028  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.029  JMPL         SAMPLE_RATE

  1.030  LABEL        DCV_GAIN
  1.031  MATH         @Chan = 1
  1.032  M9500                       CH1
  1.033  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.034  MATH         @Chan = 2
  1.035  M9500                       CH2
  1.036  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.037  MATH         @Chan = 3
  1.038  M9500                       CH3
  1.039  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.040  MATH         @Chan = 4
  1.041  M9500                       CH4
  1.042  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500

  1.043  MATH         @Chan = 1
  1.044  M9500                       CH1
  1.045  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.046  MATH         @Chan = 2
  1.047  M9500                       CH2
  1.048  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.049  MATH         @Chan = 3
  1.050  M9500                       CH3
  1.051  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.052  MATH         @Chan = 4
  1.053  M9500                       CH4
  1.054  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.055  JMPL         BANDWIDTH

  1.056  LABEL        SAMPLE_RATE
  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500
  1.060  JMPL         INPUT_IMPEDANCE

  1.061  LABEL        BANDWIDTH
  1.062  MATH         @Chan = 1
  1.063  M9500                       CH1
  1.064  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.065  MATH         @Chan = 2
  1.066  M9500                       CH2
  1.067  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.068  MATH         @Chan = 3
  1.069  M9500                       CH3
  1.070  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.071  MATH         @Chan = 4
  1.072  M9500                       CH4
  1.073  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.074  JMPL         DELTA_TIME

  1.075  LABEL        RANDOM_NOISE
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.082  MATH         @Chan = 4
  1.083  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.084  JMPL         DC_BALANCE

  1.085  LABEL        DELTA_TIME
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.089  MATH         @Chan = 2
  1.090  M9500                       CH2
  1.091  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.092  MATH         @Chan = 3
  1.093  M9500                       CH3
  1.094  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.095  MATH         @Chan = 4
  1.096  M9500                       CH4
  1.097  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500

  1.098  LABEL        TRIGGER_OUTPUT
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.101  LABEL        END
  1.102  END
