﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
DATE:                  2013-08-06 20:28:03
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       237
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4014B, DPO4034B, DPO4054B
#        MSO4014B, MSO4034B, MSO4054B
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan]}
  1.003  RSLT         =(Test Limit: >= 0.707, Ref = 8 div @ 50 kHz)
  1.004  RSLT         =
  1.005  HEAD         -2 {50 Ohm}, 1 mV/div

# Ensure test is performed at the correct frequency, per DUT model.
  1.006  IF           @Bandwidth <= 175E+6
  1.007  MATH         TestFreq = @Bandwidth
  1.008  ELSE
  1.009  MATH         TestFreq = 175E+6
  1.010  ENDIF

  1.011  MATH         FreqMHz = (TestFreq / 1E+6) & " MHz"
  1.012  TARGET
  1.013  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.014  VISA         CH[V @Chan]:TER 50;SCA 1E-3;:HOR:SCA 10E-6
  1.015  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  1.016  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE PK2PK
  1.017  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  1.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.019  JMPL         END                          @Abort
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  1.020  9500         8mVpp                        50kH           LS    S  L
  1.021  VISA         [D2000]ACQ:STATE RUN
  1.022  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.023  JMPL         END                          @Abort
  1.024  VISA         MEASU:IMM:VAL?[I]
  1.025  MATH         Ref = MEM
  1.026  VISA         HOR:SCA 4E-9
  1.027  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.028  JMPL         END                          @Abort
  1.029  MATH         MEM = TestFreq
  1.030  9500         8mVpp                        H              LS    S  L
  1.031  VISA         [D2000]ACQ:STATE RUN
  1.032  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.033  JMPL         END                          @Abort
  1.034  VISA         MEASU:IMM:VAL?[I]
  1.035  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  1.036  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 1 mV/div

  2.001  HEAD         -2 50 Ohm, 2 mV/div

# Ensure test is performed at the correct frequency, per DUT model.
  2.002  IF           @Bandwidth <= 350E+6
  2.003  MATH         TestFreq = @Bandwidth
  2.004  ELSE
  2.005  MATH         TestFreq = 350E+6
  2.006  ENDIF

  2.007  MATH         FreqMHz = (TestFreq / 1E+6) & " MHz"
  2.008  TARGET
  2.009  VISA         CH[V @Chan]:SCA 2E-3;:HOR:SCA 10E-6
  2.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.011  JMPL         END                          @Abort
  2.012  9500         16mVpp                       50kH           LS    S  L
  2.013  VISA         [D2000]ACQ:STATE RUN
  2.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.015  JMPL         END                          @Abort
  2.016  VISA         MEASU:IMM:VAL?[I]
  2.017  MATH         Ref = MEM
  2.018  VISA         HOR:SCA 2E-9
  2.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.020  JMPL         END                          @Abort
  2.021  MATH         MEM = TestFreq
  2.022  9500         16mVpp                       H              LS    S  L
  2.023  VISA         [D2000]ACQ:STATE RUN
  2.024  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.025  JMPL         END                          @Abort
  2.026  VISA         MEASU:IMM:VAL?[I]
  2.027  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  2.028  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 2 mV/div

  3.001  HEAD         -2 50 Ohm, 5 mV/div
  3.002  MATH         FreqMHz = (@Bandwidth / 1E+6) & " MHz"
  3.003  TARGET
  3.004  VISA         CH[V @Chan]:SCA 5E-3;:HOR:SCA 10E-6
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  9500         40mVpp                       50kH           LS    S  L
  3.008  VISA         [D2000]ACQ:STATE RUN
  3.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.010  JMPL         END                          @Abort
  3.011  VISA         MEASU:IMM:VAL?[I]
  3.012  MATH         Ref = MEM
  3.013  VISA         HOR:SCA 1E-9
  3.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.015  JMPL         END                          @Abort
  3.016  MATH         MEM = @Bandwidth
  3.017  9500         40mVpp                       H              LS    S  L
  3.018  VISA         [D2000]ACQ:STATE RUN
  3.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.020  JMPL         END                          @Abort
  3.021  VISA         MEASU:IMM:VAL?[I]
  3.022  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  3.023  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 5 mV/div

  4.001  HEAD         -2 50 Ohm, 10 mV/div
  4.002  TARGET
  4.003  VISA         CH[V @Chan]:SCA 10E-3;:HOR:SCA 10E-6
  4.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.005  JMPL         END                          @Abort
  4.006  9500         80mVpp                       50kH           LS    S  L
  4.007  VISA         [D2000]ACQ:STATE RUN
  4.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.009  JMPL         END                          @Abort
  4.010  VISA         MEASU:IMM:VAL?[I]
  4.011  MATH         Ref = MEM
  4.012  VISA         HOR:SCA 1E-9
  4.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.014  JMPL         END                          @Abort
  4.015  MATH         MEM = @Bandwidth
  4.016  9500         80mVpp                       H              LS    S  L
  4.017  VISA         [D2000]ACQ:STATE RUN
  4.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.019  JMPL         END                          @Abort
  4.020  VISA         MEASU:IMM:VAL?[I]
  4.021  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  4.022  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 10 mV/div

  5.001  HEAD         -2 50 Ohm, 50 mV/div
  5.002  TARGET
  5.003  VISA         CH[V @Chan]:SCA 50E-3;:HOR:SCA 10E-6
  5.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.005  JMPL         END                          @Abort
  5.006  9500         400mVpp                      50kH           LS    S  L
  5.007  VISA         [D2000]ACQ:STATE RUN
  5.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.009  JMPL         END                          @Abort
  5.010  VISA         MEASU:IMM:VAL?[I]
  5.011  MATH         Ref = MEM
  5.012  VISA         HOR:SCA 1E-9
  5.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.014  JMPL         END                          @Abort
  5.015  MATH         MEM = @Bandwidth
  5.016  9500         400mVpp                      H              LS    S  L
  5.017  VISA         [D2000]ACQ:STATE RUN
  5.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.019  JMPL         END                          @Abort
  5.020  VISA         MEASU:IMM:VAL?[I]
  5.021  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  5.022  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 50 mV/div

  6.001  HEAD         -2 50 Ohm, 100 mV/div
  6.002  TARGET
  6.003  VISA         CH[V @Chan]:SCA 100E-3;:HOR:SCA 10E-6
  6.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.005  JMPL         END                          @Abort
  6.006  9500         800mVpp                      50kH           LS    S  L
  6.007  VISA         [D2000]ACQ:STATE RUN
  6.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.009  JMPL         END                          @Abort
  6.010  VISA         MEASU:IMM:VAL?[I]
  6.011  MATH         Ref = MEM
  6.012  VISA         HOR:SCA 1E-9
  6.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.014  JMPL         END                          @Abort
  6.015  MATH         MEM = @Bandwidth
  6.016  9500         800mVpp                      H              LS    S  L
  6.017  VISA         [D2000]ACQ:STATE RUN
  6.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.019  JMPL         END                          @Abort
  6.020  VISA         MEASU:IMM:VAL?[I]
  6.021  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  6.022  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 100 mV/div

  7.001  HEAD         -2 50 Ohm, 1 V/div
  7.002  TARGET
  7.003  VISA         CH[V @Chan]:SCA 1;:HOR:SCA 10E-6
  7.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.005  JMPL         END                          @Abort
  7.006  9500         5Vpp                         50kH           LS    S  L
  7.007  VISA         [D2000]ACQ:STATE RUN
  7.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.009  JMPL         END                          @Abort
  7.010  VISA         MEASU:IMM:VAL?[I]
  7.011  MATH         Ref = MEM
  7.012  VISA         HOR:SCA 1E-9
  7.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.014  JMPL         END                          @Abort
  7.015  MATH         MEM = @Bandwidth
  7.016  9500         5Vpp                         H              LS    S  L
  7.017  VISA         [D2000]ACQ:STATE RUN
  7.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.019  JMPL         END                          @Abort
  7.020  VISA         MEASU:IMM:VAL?[I]
  7.021  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  7.022  EVAL   -e MEM >= 0.707 : [MEM2] @ [V FreqMHz], 1 V/div

  8.001  LABEL        END
  8.002  HEAD         -2
  8.003  9500         *                                                 S
  8.004  HEAD
  8.005  END
