﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Random Noise VER VISA
DATE:                  2014-12-08 16:58:09
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       144
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4014B, DPO4034B, DPO4054B
#        MSO4014B, MSO4034B, MSO4054B
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {RANDOM NOISE: Channel [V @Chan]}
  1.003  RSLT         =
  1.004  HEAD         -2 {1 MOhm}, Bandwidth: Full
  1.005  TARGET       -p
  1.006  TSET         TDESC = Bandwidth: Full
  1.007  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.008  VISA         CH[V @Chan]:TER 1E+6;BAN FUL;:ACQ:NUMAV 16
  1.009  VISA         MEASU:GAT OFF;IMMED:SOU CH[V @Chan];TYPE RMS
  1.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.011  JMPL         END                          @Abort
  1.012  TARGET       -m
# Get the Sampled Mean Value.
  1.013  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  1.014  VISA         [D1000]MEASU:IMM:VAL?[I]
  1.015  MATH         SMV = MEM
# Get the Averaged Mean Value.
  1.016  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  1.017  VISA         [D1000]MEASU:IMM:VAL?[I]
# Compute the RMS Noise in millivolts.
  1.018  MATH         MEM = (SMV - MEM) / 1E-3
  1.019  MEMCX        0.00mV         +8.13U

# The 250 MHz bandwidth test is not applicable for 100 MHz bandwidth models.
  2.001  IF           @Bandwidth >= 250E+6
  2.002  HEAD         -2 1 MOhm, Bandwidth: 250 MHz Limit
  2.003  TSET         TDESC = Bandwidth: 250 MHz Limit
  2.004  VISA         CH[V @Chan]:BAN TWO
  2.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.006  JMPL         END                          @Abort
  2.007  TARGET       -m
  2.008  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  2.009  VISA         [D1000]MEASU:IMM:VAL?[I]
  2.010  MATH         SMV = MEM
  2.011  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  2.012  VISA         [D1000]MEASU:IMM:VAL?[I]
  2.013  MATH         MEM = (SMV - MEM) / 1E-3
  2.014  MEMCX        0.00mV         +6.10U
  3.001  ENDIF

  3.002  HEAD         -2 1 MOhm, Bandwidth: 20 MHz Limit
  3.003  TSET         TDESC = Bandwidth: 20 MHz Limit
  3.004  VISA         CH[V @Chan]:BAN TWE
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  TARGET       -m
  3.008  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  3.009  VISA         [D1000]MEASU:IMM:VAL?[I]
  3.010  MATH         SMV = MEM
  3.011  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  3.012  VISA         [D1000]MEASU:IMM:VAL?[I]
  3.013  MATH         MEM = (SMV - MEM) / 1E-3
  3.014  MEMCX        0.00mV         +4.10U

  4.001  RSLT         =
  4.002  HEAD         -2 {50 Ohm}, Bandwidth: Full
  4.003  TARGET       -p
  4.004  TSET         TDESC = Bandwidth: Full
  4.005  VISA         CH[V @Chan]:TER 50;BAN FUL
  4.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.007  JMPL         END                          @Abort
  4.008  TARGET       -m
  4.009  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  4.010  VISA         [D1000]MEASU:IMM:VAL?[I]
  4.011  MATH         SMV = MEM
  4.012  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  4.013  VISA         [D1000]MEASU:IMM:VAL?[I]
  4.014  MATH         MEM = (SMV - MEM) / 1E-3
  4.015  MEMCX        0.00mV         +8.13U

  5.001  IF           @Bandwidth >= 250E+6
  5.002  HEAD         -2 50 Ohm, Bandwidth: 250 MHz Limit
  5.003  TSET         TDESC = Bandwidth: 250 MHz Limit
  5.004  VISA         CH[V @Chan]:BAN TWO
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END                          @Abort
  5.007  TARGET       -m
  5.008  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  5.009  VISA         [D1000]MEASU:IMM:VAL?[I]
  5.010  MATH         SMV = MEM
  5.011  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  5.012  VISA         [D1000]MEASU:IMM:VAL?[I]
  5.013  MATH         MEM = (SMV - MEM) / 1E-3
  5.014  MEMCX        0.00mV         +6.10U
  6.001  ENDIF

  6.002  HEAD         -2 50 Ohm, Bandwidth: 20 MHz Limit
  6.003  TSET         TDESC = Bandwidth: 20 MHz Limit
  6.004  VISA         CH[V @Chan]:BAN TWE
  6.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.006  JMPL         END                          @Abort
  6.007  TARGET       -m
  6.008  VISA         ACQ:MODE SAM;:MEASU:STATI RESET
  6.009  VISA         [D1000]MEASU:IMM:VAL?[I]
  6.010  MATH         SMV = MEM
  6.011  VISA         ACQ:MODE AVE;:MEASU:STATI RESET
  6.012  VISA         [D1000]MEASU:IMM:VAL?[I]
  6.013  MATH         MEM = (SMV - MEM) / 1E-3
  6.014  MEMCX        0.00mV         +4.10U

  7.001  LABEL        END
  7.002  HEAD         -2
  7.003  HEAD
  7.004  END
